<?php
/**
 * Implementaion of an interface for an equal support.
 *
 * @package Library
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Interface for an equivalency check.
 *
 * The simple replacement for == and != operators overloading in PHP.
 *
 * @package Library
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
interface IComparableEqual
{
  /**
   * an equivalency check
   *
   * Check if an object $valRef is equal with a class that implements interface
   * @param object $valRef tested object
   * @return bool
   */
  public function isEqual($valRef);

#END INTERFACE
}

