<?php
/**
 * Author Dao
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Author Dao class based on the Zend_Db_Table
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */ 
class Dao_Author extends Dao
{
 /** table name */
 const TABLE_NAME = "author";

 /** table name
  * @var string
  */
 protected $_name = self::TABLE_NAME;

 /** primary key column
  * @var string
  */
 protected $_primary = "id";


//==============================================================================
/**
 * Get all authors.
 * Has the pagination support.
 *
 * @param int $pageNo current page number, first page has number 1
 * @param int $perPageItems number of items per page
 * @return array the sequential array of rows with article properties
 */
public function fetchAllItems($pageNo=null,$perPageItems=null)
{
 $select=$this->getAdapter()->select()
   ->from($this->_name);

 self::$_dataSource->addSQLlimit($select,$pageNo,$perPageItems);

 return $select->query()->fetchAll();
}

#END CLASS
}
