<?php
/**
 * Implementation of Index Controller actions
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Serve main Index controller actions.
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class IndexController extends Zend_Controller_Action
{
//==============================================================================
/**
 * Action handler for index page.
 * Just forward into blog module IndexController index action.
 */
public function indexAction()
{
 $this->_forward("index","Index","blog");
 return;
}

//==============================================================================
/**
 * Action handler for about page.
 */
public function aboutAction()
{
 $this->view->pageTitle="about";
}

//==============================================================================
public function commentPreviewAction()
{
 $config = Zend_Registry::get("conf");

 $this->_setParam("isAjax",true);

 $commentText=Comment::prepareCommentText($this->_getParam("message"));

 //some view helpers are in blog module
 $this->view->addHelperPath($config->blogViewDir.DIRECTORY_SEPARATOR."helpers");
 $this->view->commentText=$commentText;
}

//==============================================================================
public function articlePreviewAction()
{
 $config = Zend_Registry::get("conf");

 $this->_setParam("isAjax",true);

 $articleText=$this->_getParam("article");

 //some view helpers are in blog module
 $this->view->addHelperPath($config->blogViewDir.DIRECTORY_SEPARATOR."helpers");
 $this->view->articleText=$articleText;
}

#END CLASS
}
