<?php
/**
* Implementation of lang switcher helper
*
* @package koubel homepage
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/

/**
* Lang switcher helper
*
* Prints list of available translation with the highlighted actual translation.
*  
* @package koubel homepage
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/
class HomeWebApp_View_Helper_LangSwitcher
{
//==============================================================================
/**
 * Main function.
 * @return string xhtml content for the language switcher with the 
 * highlighted actual translation and links to alternatives.  
 */ 
public function langSwitcher()
{
 $app=HomeWebApp::getInstance();
 $locale=$app->getLocale();
 $currentLang=$locale->getLanguage();
 
 $xhtml="";
 
 foreach($app->getAvailableLanguages() as $langStr) {
  if (!empty($xhtml)) $xhtml.=" | ";
 
  $longLangStr=iconv("utf-8","iso-8859-2",$locale->getLanguageTranslation($langStr,$langStr));
 
  if ($langStr==$currentLang) {
    $xhtml.="<span style=\"font-weight:bold\">$longLangStr</span>";
  } else {
   $currentUri=Zend_Controller_Front::getInstance()->getRequest()->getRequestUri();
   if (strpos($currentUri,"?") !== false ) {
    $currentUri=preg_replace("/\?.*/","",$currentUri);
   }  
   $xhtml.="<a href=\"$currentUri?lang=$langStr\">$longLangStr</a>";
  }
  
 }//end foreach
 
 return $xhtml;
}

#END CLASS
}

